declare const sizes: readonly [48, 57, 70, 100, 160, 250, 300, 500, 600, 900, 1000, 1920, 1080, 900];
declare type TMediaSize = typeof sizes[number];
/**
 * @function getMediaUrl
 * Checks if given url is a supported image format from orderingstackmedia azure blob and returns resized image url OR original url. Defaults to 500px.
 */
export declare function getMediaUrl(url: string, size?: TMediaSize): string;
/**
 * @function useMediaUrl
 * Checks if given url is a supported image format from orderingstackmedia azure blob and returns resized image url OR original url. Defaults to 500px.
 */
export declare function useMediaUrl(url: string, size?: TMediaSize): string;
export {};
//# sourceMappingURL=useMediaUrl.d.ts.map