import { ConfigType } from 'dayjs';
import { IProduct, SaleChannel } from '@orderingstack/ordering-types';
export declare const getHourAndMinutes: (text: string) => {
    hour: number;
    minutes: number;
};
export declare function isProductAvailable(item: IProduct, timeZone: string | undefined, dueTime: ConfigType): boolean;
export declare const filterTimeAvailabilityOfItems: (items: IProduct[], timeZone?: string | undefined, dueTime?: ConfigType, markOnly?: boolean) => IProduct[];
export declare const filterTimeAvailabilityOfProducts: (products: IProduct[], timeZone?: string | undefined, dueTime?: ConfigType, markOnly?: boolean) => IProduct[];
export declare function isChannelOpen(channel: SaleChannel | undefined): boolean;
//# sourceMappingURL=timeAvailabilityFilter.d.ts.map